#pragma once

#include <QObject>
#include "Vehicle.h"

class WimaServiceArea;
class WimaVCorridor;
class WimaGOperationArea;

class WimaVehicle : public QObject
{
    Q_OBJECT
public:
    WimaVehicle(QObject* parent = nullptr);

    WimaServiceArea*                serviceArea         (void) const { return _serviceArea;}
    WimaVCorridor*                  vehicleCorridor     (void) const { return _vehicleCorridor;}
    WimaGOperationArea*             operationArea       (void) const { return _operationArea;}

    void setVehicle                 (Vehicle* vehicle);
    void setServiceArea             (WimaServiceArea* serviceArea);
    void setVCorridor               (WimaVCorridor* vehicleCorridor);
    void setOperationArea           (WimaGOperationArea* operationArea);

private:
    Vehicle*                _vehicle;
    WimaServiceArea*        _serviceArea;
    WimaVCorridor*          _vehicleCorridor;
    WimaGOperationArea*     _operationArea;

};


